Bug 3659 - wbinfo -t gives 'STATUS_BUFFER_OVERFLOW'. NetBIOS name too long?
wbinfo -t gives 'STATUS_BUFFER_OVERFLOW'. NetBIOS name too long?
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.22
All All
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
: 2371 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 23:57 UTC by William Charles
Modified: 2006-05-04 00:43 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description William Charles 2006-04-04 23:57:19 UTC
I have confirmed this observation on SuSE10 (x86), and Solaris 8. Samba 3.0.21c and 3.0.22.

In a nutshell, I'm using Samba 3, 'security = ADS', MIT Kerberos, etc. Everything seems to be functioning fine on the majority of my test machines, including the use of 'winbindd' in 'netlogon proxy' mode.

I also utilise a logical IP interface for Samba's sole use (and use 'bind interfaces' to force the issue) as I don't want to interfere with the UNIX server's existing Kerberos config and principles. This also lends itself to a clustered environment, etc...

But, when testing 3.0.22 on a new machine I started to observe wbinfo and winbindd failing with a 'STATUS_BUFFER_OVERFLOW' error. The only difference that I could see was that this server had a fairly long hostname/NetBIOS name, and it seemed to get truncated in various logfiles. Reducing the name length, and then re-joining the domain fixed the situation. No more errors, and 'wbinfo -t' succeeds...

My smb.conf looks like this:

[global]

  server string = SYD-WILLIAMC-CIFS Linux Samba Server

  netbios name = SYD-WILLIAMC-CIFS
  workgroup = DBG
; wins server = sydeswwnp1.au.db.com, sineswwnp1.sg.db.com

  security = ADS
  realm = DBG.ADS.DB.COM
  use kerberos keytab = No

  password server = *
  encrypt passwords = Yes

  client use spnego = Yes
  client ntlmv2 auth = Yes
  client lanman auth = No
  client plaintext auth = No

  use spnego = Yes
  lanman auth = No
  ntlm auth = No

  disable netbios = Yes

  dns proxy = No

  client schannel = Auto
  server schannel = Auto
  client signing = Auto
  server signing = Auto

  idmap uid = # Netlogon proxy mode only
  idmap gid = # Netlogon proxy mode only

  winbind enum users = No
  winbind enum groups = No

  deadtime = 5

  hostname lookups = Yes

  hosts allow = localhost, 10.
  hosts deny = ALL

  interfaces = localhost, syd-williamc-cifs.au.db.com
  bind interfaces only = Yes

; guest account = pcguest

  log level = 5
  log file = /var/log/samba/log.%M
  max log size = 1024

  socket options = TCP_NODELAY IPTOS_LOWDELAY

  nis homedir = No

  hide dot files = Yes

; include = /opt/DBsamba/etc/smb.conf.%M
  include = /opt/DBsamba/etc/smb.conf.standard

; username map = /opt/DBsamba/etc/smb.map


A google for the 'STATUS_BUFFER_OVERFLOW' reveals a handful of similar reports, but no definitive fix. And this maybe a red herring, but where the information was available in the posting it looked like they all had suspiciously long NetBIOS names configured?

Here is a winbindd logfile, level 5, showing the failed 'wbinfo -t':


[2006/04/05 10:45:54, 4] nsswitch/winbindd_dual.c:fork_domain_child(512)
  child daemon request 17
[2006/04/05 10:45:54, 3] nsswitch/winbindd_misc.c:winbindd_dual_list_trusted_domains(120)
  [10733]: list trusted domains
[2006/04/05 10:45:54, 3] nsswitch/winbindd_ads.c:trusted_domains(896)
  ads: trusted_domains
[2006/04/05 10:45:54, 4] passdb/secrets.c:secrets_fetch_trust_account_password(282)
  Using cleartext machine password
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(454)
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(464)
  size=103
  smb_com=0xa2
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=55297
  smb_tid=8198
  smb_pid=10734
  smb_uid=12291
  smb_mid=9
  smt_wct=34
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=  103 (0x67)
  smb_vwv[ 2]= 3328 (0xD00)
  smb_vwv[ 3]=  384 (0x180)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=    0 (0x0)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    0 (0x0)
  smb_vwv[14]=    0 (0x0)
  smb_vwv[15]=    0 (0x0)
  smb_vwv[16]=    0 (0x0)
  smb_vwv[17]=    0 (0x0)
  smb_vwv[18]=    0 (0x0)
  smb_vwv[19]=    0 (0x0)
  smb_vwv[20]=    0 (0x0)
  smb_vwv[21]=32768 (0x8000)
  smb_vwv[22]=    0 (0x0)
  smb_vwv[23]=    0 (0x0)
  smb_vwv[24]=   16 (0x10)
  smb_vwv[25]=    0 (0x0)
  smb_vwv[26]=    0 (0x0)
  smb_vwv[27]=    0 (0x0)
  smb_vwv[28]=    0 (0x0)
  smb_vwv[29]=    0 (0x0)
  smb_vwv[30]=    0 (0x0)
  smb_vwv[31]=  512 (0x200)
  smb_vwv[32]=65280 (0xFF00)
  smb_vwv[33]=    5 (0x5)
  smb_bcc=0
[2006/04/05 10:45:54, 5] rpc_client/cli_pipe.c:rpc_pipe_bind(2044)
  Bind RPC Pipe[800d]: \NETLOGON auth_type 0, auth_level 0
[2006/04/05 10:45:54, 5] rpc_client/cli_pipe.c:valid_pipe_name(1647)
  Bind Abstract Syntax: [000] 78 56 34 12 34 12 CD AB  EF 00 01 23 45 67 CF FB  xV4.4... ...#Eg..
  [010] 01 00 00 00                                       .... 
[2006/04/05 10:45:54, 5] rpc_client/cli_pipe.c:valid_pipe_name(1650)
  Bind Transfer Syntax: [000] 04 5D 88 8A EB 1C C9 11  9F E8 08 00 2B 10 48 60  .]...... ....+.H`
  [010] 02 00 00 00                                       .... 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000000 smb_io_rpc_hdr hdr
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0000 major     : 05
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0001 minor     : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0002 pkt_type  : 0b
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0003 flags     : 03
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0004 pack_type0: 10
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0005 pack_type1: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0006 pack_type2: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0007 pack_type3: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0008 frag_len  : 0048
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      000a auth_len  : 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      000c call_id   : 0000000c
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000010 smb_io_rpc_hdr_rb 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
          0010 max_tsize: 10b8
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
          0012 max_rsize: 10b8
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0014 assoc_gid: 00000000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0018 num_contexts: 01
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      001c context_id  : 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      001e num_transfer_syntaxes: 01
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              0020 data   : 12345678
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
              0024 data   : 1234
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
              0026 data   : abcd
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8s(819)
              0028 data   : ef 00 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8s(819)
              002a data   : 01 23 45 67 cf fb 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0030 version: 00000001
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              0034 data   : 8a885d04
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
              0038 data   : 1ceb
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
              003a data   : 11c9
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8s(819)
              003c data   : 9f e8 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8s(819)
              003e data   : 08 00 2b 10 48 60 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0044 version: 00000002
[2006/04/05 10:45:54, 5] rpc_client/cli_pipe.c:rpc_api_pipe(770)
  rpc_api_pipe: Remote machine sydeswdbp2 pipe \NETLOGON fnum 0x800d
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(454)
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(464)
  size=154
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=8
  smb_flg2=55297
  smb_tid=8198
  smb_pid=10734
  smb_uid=12291
  smb_mid=10
  smt_wct=16
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   72 (0x48)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]= 4280 (0x10B8)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=   82 (0x52)
  smb_vwv[11]=   72 (0x48)
  smb_vwv[12]=   82 (0x52)
  smb_vwv[13]=    2 (0x2)
  smb_vwv[14]=   38 (0x26)
  smb_vwv[15]=32781 (0x800D)
  smb_bcc=87
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(454)
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(464)
  size=124
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=55297
  smb_tid=8198
  smb_pid=10734
  smb_uid=12291
  smb_mid=10
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   68 (0x44)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   68 (0x44)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=69
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(454)
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(464)
  size=124
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=55297
  smb_tid=8198
  smb_pid=10734
  smb_uid=12291
  smb_mid=10
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   68 (0x44)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   68 (0x44)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=69
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000000 smb_io_rpc_hdr rpc_hdr   
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0000 major     : 05
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0001 minor     : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0002 pkt_type  : 0c
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0003 flags     : 03
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0004 pack_type0: 10
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0005 pack_type1: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0006 pack_type2: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0007 pack_type3: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0008 frag_len  : 0044
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      000a auth_len  : 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      000c call_id   : 0000000c
[2006/04/05 10:45:54, 3] rpc_client/cli_pipe.c:rpc_pipe_bind(2081)
  rpc_pipe_bind: Remote machine sydeswdbp2 pipe \NETLOGON fnum 0x800d bind request returned ok.
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000000 smb_io_rpc_hdr hdr
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0000 major     : 05
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0001 minor     : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0002 pkt_type  : 0c
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0003 flags     : 03
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0004 pack_type0: 10
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0005 pack_type1: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0006 pack_type2: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0007 pack_type3: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0008 frag_len  : 0044
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      000a auth_len  : 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      000c call_id   : 0000000c
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000010 smb_io_rpc_hdr_ba 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
          0010 max_tsize: 10b8
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
          0012 max_rsize: 10b8
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0014 assoc_gid: 0015705c
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
          0018 len: 000c
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8s(819)
          001a str: \PIPE\lsass.
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
          0028 num_results: 01
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
          002c result     : 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
          002e reason     : 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              0030 data   : 8a885d04
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
              0034 data   : 1ceb
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
              0036 data   : 11c9
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8s(819)
              0038 data   : 9f e8 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8s(819)
              003a data   : 08 00 2b 10 48 60 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0040 version: 00000002
[2006/04/05 10:45:54, 5] rpc_client/cli_pipe.c:check_bind_response(1701)
  check_bind_response: accepted!
[2006/04/05 10:45:54, 4] rpc_client/cli_netlogon.c:rpccli_net_req_chal(46)
  cli_net_req_chal: LSA Request Challenge from SYD-WILLIAMC-CIFS to \\sydeswdbp2
[2006/04/05 10:45:54, 5] rpc_parse/parse_net.c:init_q_req_chal(679)
  init_q_req_chal: 679
[2006/04/05 10:45:54, 5] rpc_parse/parse_net.c:init_q_req_chal(688)
  init_q_req_chal: 688
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000000 net_io_q_req_chal 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      0000 undoc_buffer: 00000001
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0004 uni_max_len: 0000000d
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0008 offset     : 00000000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          000c uni_str_len: 0000000d
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:dbg_rw_punival(904)
          0010 buffer     : \.\.s.y.d.e.s.w.d.b.p.2...
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          002c uni_max_len: 00000012
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0030 offset     : 00000000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0034 uni_str_len: 00000012
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:dbg_rw_punival(904)
          0038 buffer     : S.Y.D.-.W.I.L.L.I.A.M.C.-.C.I.F.S...
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8s(819)
          005c data: 59 2e b4 7a 93 cd df 96 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000000 smb_io_rpc_hdr hdr    
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0000 major     : 05
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0001 minor     : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0002 pkt_type  : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0003 flags     : 03
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0004 pack_type0: 10
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0005 pack_type1: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0006 pack_type2: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0007 pack_type3: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0008 frag_len  : 007c
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      000a auth_len  : 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      000c call_id   : 0000000d
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000010 smb_io_rpc_hdr_req hdr_req
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      0010 alloc_hint: 00000064
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0014 context_id: 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0016 opnum     : 0004
[2006/04/05 10:45:54, 5] rpc_client/cli_pipe.c:rpc_api_pipe(770)
  rpc_api_pipe: Remote machine sydeswdbp2 pipe \NETLOGON fnum 0x800d
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(454)
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(464)
  size=206
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=8
  smb_flg2=55297
  smb_tid=8198
  smb_pid=10734
  smb_uid=12291
  smb_mid=11
  smt_wct=16
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=  124 (0x7C)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]= 4280 (0x10B8)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=   82 (0x52)
  smb_vwv[11]=  124 (0x7C)
  smb_vwv[12]=   82 (0x52)
  smb_vwv[13]=    2 (0x2)
  smb_vwv[14]=   38 (0x26)
  smb_vwv[15]=32781 (0x800D)
  smb_bcc=139
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(454)
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(464)
  size=92
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=55297
  smb_tid=8198
  smb_pid=10734
  smb_uid=12291
  smb_mid=11
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   36 (0x24)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   36 (0x24)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=37
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(454)
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(464)
  size=92
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=55297
  smb_tid=8198
  smb_pid=10734
  smb_uid=12291
  smb_mid=11
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   36 (0x24)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   36 (0x24)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=37
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000000 smb_io_rpc_hdr rpc_hdr   
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0000 major     : 05
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0001 minor     : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0002 pkt_type  : 02
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0003 flags     : 03
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0004 pack_type0: 10
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0005 pack_type1: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0006 pack_type2: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0007 pack_type3: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0008 frag_len  : 0024
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      000a auth_len  : 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      000c call_id   : 0000000d
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000010 smb_io_rpc_hdr_resp rpc_hdr_resp
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      0010 alloc_hint: 0000000c
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0014 context_id: 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0016 cancel_ct : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0017 reserved  : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000000 net_io_r_req_chal 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8s(819)
          0000 data: 4a b2 6b 3b ad d2 57 09 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_ntstatus(762)
      0008 status: NT_STATUS_OK
[2006/04/05 10:45:54, 4] libsmb/credentials.c:cred_create_session_key(65)
  cred_create_session_key
[2006/04/05 10:45:54, 5] libsmb/credentials.c:cred_create_session_key(67)
  	clnt_chal_in: 592EB47A93CDDF96
[2006/04/05 10:45:54, 5] libsmb/credentials.c:cred_create_session_key(68)
  	srv_chal_in : 4AB26B3BADD25709
[2006/04/05 10:45:54, 5] libsmb/credentials.c:cred_create_session_key(69)
  	clnt+srv : A3E01FB640A037A0
[2006/04/05 10:45:54, 5] libsmb/credentials.c:cred_create_session_key(70)
  	sess_key_out : 2BD1329614EC9959
[2006/04/05 10:45:54, 4] rpc_client/cli_netlogon.c:rpccli_net_auth2(170)
  cli_net_auth2: srv:\\sydeswdbp2 acct:SYD-WILLIAMC-CIFS$ sc:2 mc: SYD-WILLIAMC-CIFS neg: 400701ff
[2006/04/05 10:45:54, 5] rpc_parse/parse_net.c:init_q_auth_2(800)
  init_q_auth_2: 800
[2006/04/05 10:45:54, 5] rpc_parse/parse_misc.c:init_log_info(1411)
  make_log_info 1411
[2006/04/05 10:45:54, 5] rpc_parse/parse_net.c:init_q_auth_2(806)
  init_q_auth_2: 806
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000000 net_io_q_auth_2 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0000 undoc_buffer: 00000001
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              0004 uni_max_len: 0000000d
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              0008 offset     : 00000000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              000c uni_str_len: 0000000d
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:dbg_rw_punival(904)
              0010 buffer     : \.\.s.y.d.e.s.w.d.b.p.2...
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              002c uni_max_len: 00000013
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              0030 offset     : 00000000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              0034 uni_str_len: 00000013
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:dbg_rw_punival(904)
              0038 buffer     : S.Y.D.-.W.I.L.L.I.A.M.C.-.C.I.F.S.$...
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
          005e sec_chan: 0002
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              0060 uni_max_len: 00000012
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              0064 offset     : 00000000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
              0068 uni_str_len: 00000012
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:dbg_rw_punival(904)
              006c buffer     : S.Y.D.-.W.I.L.L.I.A.M.C.-.C.I.F.S...
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8s(819)
          0090 data: 19 55 1f f2 ce 2e 76 9f 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0098 neg_flags: 400701ff
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000000 smb_io_rpc_hdr hdr    
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0000 major     : 05
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0001 minor     : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0002 pkt_type  : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0003 flags     : 03
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0004 pack_type0: 10
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0005 pack_type1: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0006 pack_type2: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0007 pack_type3: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0008 frag_len  : 00b4
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      000a auth_len  : 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      000c call_id   : 0000000e
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000010 smb_io_rpc_hdr_req hdr_req
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      0010 alloc_hint: 0000009c
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0014 context_id: 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0016 opnum     : 000f
[2006/04/05 10:45:54, 5] rpc_client/cli_pipe.c:rpc_api_pipe(770)
  rpc_api_pipe: Remote machine sydeswdbp2 pipe \NETLOGON fnum 0x800d
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(454)
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(464)
  size=262
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=8
  smb_flg2=55297
  smb_tid=8198
  smb_pid=10734
  smb_uid=12291
  smb_mid=12
  smt_wct=16
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=  180 (0xB4)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]= 4280 (0x10B8)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=   82 (0x52)
  smb_vwv[11]=  180 (0xB4)
  smb_vwv[12]=   82 (0x52)
  smb_vwv[13]=    2 (0x2)
  smb_vwv[14]=   38 (0x26)
  smb_vwv[15]=32781 (0x800D)
  smb_bcc=195
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(454)
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(464)
  size=96
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=55297
  smb_tid=8198
  smb_pid=10734
  smb_uid=12291
  smb_mid=12
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   40 (0x28)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   40 (0x28)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=41
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(454)
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(464)
  size=96
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=55297
  smb_tid=8198
  smb_pid=10734
  smb_uid=12291
  smb_mid=12
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   40 (0x28)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   40 (0x28)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=41
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000000 smb_io_rpc_hdr rpc_hdr   
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0000 major     : 05
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0001 minor     : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0002 pkt_type  : 02
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0003 flags     : 03
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0004 pack_type0: 10
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0005 pack_type1: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0006 pack_type2: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0007 pack_type3: 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0008 frag_len  : 0028
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      000a auth_len  : 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      000c call_id   : 0000000e
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000010 smb_io_rpc_hdr_resp rpc_hdr_resp
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
      0010 alloc_hint: 00000010
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint16(674)
      0014 context_id: 0000
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0016 cancel_ct : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8(614)
      0017 reserved  : 00
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_debug(84)
  000000 net_io_r_auth_2 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint8s(819)
          0000 data: 00 00 00 00 00 00 00 00 
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_uint32(703)
          0008 neg_flags: 400701ff
[2006/04/05 10:45:54, 5] rpc_parse/parse_prs.c:prs_ntstatus(762)
      000c status: STATUS_BUFFER_OVERFLOW
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(454)
[2006/04/05 10:45:54, 5] lib/util.c:show_msg(464)
  size=35
  smb_com=0x4
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=55297
  smb_tid=8198
  smb_pid=10734
  smb_uid=12291
  smb_mid=13
  smt_wct=0
  smb_bcc=0
[2006/04/05 10:45:54, 5] nsswitch/winbindd_ads.c:trusted_domains(908)
  trusted_domains: Could not open a connection to DBG for PIPE_NETLOGON (STATUS_BUFFER_OVERFLOW)
Comment 1 Volker Lendecke 2006-04-05 11:42:07 UTC
Windows does not allow computer names longer than 15 characters. So I'd be inclined to reject this bug report as invalid. We might add a check for that restriction when joining the domain.

Jerry, what do you think?

Volker
Comment 2 William Charles 2006-04-11 01:06:28 UTC
Actually, in the absence of winbindd, smbd throws the same error when it tries the 'netlogon' stuff. Which I guess makes sense. Shortening the NetBIOS name definitely fixes the issue, and I'd agree that the fifteen character limit should be checked for and at the very least warned about...

But, in this day and age why we still need to observe such draconian limits is beyond me. Maybe someone in Redmond could shed some light on it?!...

Will.
Comment 3 Gerald (Jerry) Carter 2006-04-11 07:26:08 UTC
Will, if we addd a check in testparm to whine about long 
server names, would that satisfy things from your perspective?
Comment 4 William Charles 2006-04-11 21:40:35 UTC
I think that at the very least testparm should flag the issue. But, seeing that things actually break (any and all interaction with 'netlogon') if you exceed a 15 character NetBIOS name then should Samba completely disallow them and refuse to start? A terminal error condition?

A quick Google for the symptoms of this 'bug' reveals many similar problems, and I'd bet that they're down to a similar misconfiguration.

Will.
Comment 5 Gerald (Jerry) Carter 2006-04-14 15:01:06 UTC
*** Bug 2371 has been marked as a duplicate of this bug. ***
Comment 6 Volker Lendecke 2006-04-19 10:44:32 UTC
With r15137 we refuse to join if our name is too long. I think this fixes this bug sufficiently well.

Volker
Comment 7 William Charles 2006-04-19 22:59:24 UTC
OK, so the proposed 'fix' will prevent names >15 characters. But, is this really a valid restriction in a 'modern' environment without NetBIOS? Is it the Active Directory domain controller that's throwing the netlogon error back to Samba? If so, then fine this fix works. But, equally is this an arbitrary, historical limit imposed by Samba code in the belief that it's still required in all circumstances?

Thanks for looking into this!

Will.
Comment 8 Volker Lendecke 2006-04-20 01:18:58 UTC
Yes, this still applies to modern environments. We always need to be able to fall back to NTLM authentication in case Kerberos fails for some reason. And there are really many reasons, the most likely is inconsistent server names. And NTLM domain authentication fails with longer machine account names.

Volker
Comment 9 William Charles 2006-05-04 00:43:36 UTC
Volker, I've just had a look at the 3.0.23pre1 source, and I guess that this code added to net_ads.c is your NetBIOS name length check?

if (strlen(global_myname()) > 15) {
        d_printf("Our netbios name can only be 15 chars long, \"%s\""
                 " is %d chars long\n",
                 global_myname(), strlen(global_myname()));
        return -1;
}

Looks OK, but could I suggest two things? Firstly, the hardcoded '15' could perhaps be defined somewhere and given a name? Although that having been said, it's hardcoded elsewhere in the source too...

Second, the error string is a little deceiving? Perhaps it should really say 'Our netbios name can be at most 15 chars long'? The above can be read to mean that the name must be exactly 15 characters long?!...

Anyway, thanks for this,
Will.